import {
  GeneralSetting as UCAPGeneralSetting,
  NotificationSetting as UCAPNotificationSetting,
  ChatSetting as UCAPChatSetting,
  PresenceSetting as UCAPPresenceSetting
} from '@ucap/protocol-option';

// tslint:disable-next-line: no-empty-interface
export interface GeneralSetting extends UCAPGeneralSetting {}
// tslint:disable-next-line: no-empty-interface
export interface NotificationSetting extends UCAPNotificationSetting {}
// tslint:disable-next-line: no-empty-interface
export interface ChatSetting extends UCAPChatSetting {}
// tslint:disable-next-line: no-empty-interface
export interface PresenceSetting extends UCAPPresenceSetting {}

export interface Settings {
  general: GeneralSetting;
  notification: NotificationSetting;
  chat: ChatSetting;
  presence: PresenceSetting;
}
