import {
  createFeatureSelector,
  createSelector,
  MetaReducer
} from '@ngrx/store';

import * as fromRouter from '@ngrx/router-store';

import { environment } from '@environments';

import { State as AppState } from './app/state';
import { State as AppAuthenticationState } from './authentication/state';

export interface State {
  appRouter: fromRouter.RouterReducerState<any>;
  app: AppState;
  appAuthentication: AppAuthenticationState;
}

export const metaReducers: MetaReducer<State>[] = !environment.production
  ? []
  : [];
