import { NgModule } from '@angular/core';
import { Routes, RouterModule } from '@angular/router';

import { ForgotPasswordPageComponent } from './components/forgot-password.page.component';
import { LoginPageComponent } from './components/login.page.component';
import { ResetPasswordPageComponent } from './components/reset-password.page.component';

const routes: Routes = [
  {
    path: 'login',
    component: LoginPageComponent
  },
  {
    path: 'forgot_password',
    component: ForgotPasswordPageComponent
  },
  {
    path: 'reset_password',
    component: ResetPasswordPageComponent
  }
];

@NgModule({
  imports: [RouterModule.forChild(routes)],
  exports: [RouterModule]
})
export class AppAccountRoutingPageModule {}
